#include "error.h"
#include "strerr.h"
#include "readwrite.h"
#include "str.h"
#include "stralloc.h"
#include "open.h"
#include "substdio.h"
#include "case.h"
#include "errtxt.h"
#include "subscribe.h"
#include "qmail.h"

static substdio ssin;
static char inbuf[1024];
static substdio ssout;
static char outbuf[1];
static struct qmail *q;
static stralloc line = {0};
static stralloc fnsub = {0};

static void die_nomem(fatal)
char *fatal;
{
  strerr_die2x(111,fatal,ERR_NOMEM);
}

static int mywrite(fd,buf,len)
  int fd;
  char *buf;
  unsigned int len;

{
  qmail_put(q,buf,len);
  return (int) len;
}



void tosubs(dbname,userhost,qq,FATAL)
/* Outputs all userhostesses in 'dbname' to qmail. If userhost is not null */
/* that userhost is excluded Here 'dbname' is the base directory name.  */

char *dbname;
char *userhost;
struct qmail *qq;
char *FATAL;

{
  int i;
  int fd;
  int match;
  unsigned int pos = 0;
  unsigned int hashpos;

  q = qq;			/* local pointer so mywrite works */
  if (userhost)
    pos = str_len(userhost)+2;	/* Tuserhost@host\0  used only if !flagself */
  if (!stralloc_copys(&fnsub,dbname)) die_nomem(FATAL);
  if (!stralloc_catb(&fnsub,"/subscribers/?",15)) die_nomem(FATAL);
  		/* NOTE: Also copies terminal '\0' */
  hashpos = fnsub.len - 2;
  substdio_fdbuf(&ssout,mywrite,-1,outbuf,sizeof(outbuf));

  for (i = 0;i < 53;++i) {
    fnsub.s[hashpos] = 64 + i;
    fd = open_read(fnsub.s);
    if (fd == -1) {
      if (errno != error_noent)
	strerr_die4sys(111,FATAL,ERR_READ,fnsub.s,": ");
    } else {
      substdio_fdbuf(&ssin,read,fd,inbuf,sizeof(inbuf));
      if (!userhost || !*userhost) {
					/* copy to all subscribers */
        if (substdio_copy(&ssout,&ssin) != 0)
	  strerr_die4sys(111,FATAL,ERR_READ,fnsub.s,": ");
      } else {			/* to all except self - less efficient! */

        for (;;) {
          if (getln(&ssin,&line,&match,'\0') == -1)
	    strerr_die4sys(111,FATAL,ERR_READ,fnsub.s,": ");
          if (!match)
            break;
          if ((line.len != pos) || case_diffb(userhost,pos-2,line.s+1))
            if (substdio_put(&ssout,line.s,line.len) == -1)
              strerr_die3sys(111,FATAL,ERR_WRITE,"qmail: ");
        } 
      }
      close(fd);
    }
  }
}

